> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Incident Role



## OpenAPI

````yaml POST /api/v1/response/incidents/{id}/roles
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/response/incidents/{id}/roles:
    post:
      tags:
        - response
      summary: Assign a role on a response incident
      operationId: IncidentController_assignRole_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignRoleDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    AssignRoleDto:
      type: object
      properties:
        userId:
          type: string
        role:
          type: string
          enum:
            - commander
            - comms_lead
            - responder
      required:
        - userId
        - role
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````